<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('prl_categories', function (Blueprint $table) {
            $table->id();

            $table->integer('emp_cat_id')->default(0);
            $table->string('emp_id', 100)->nullable();
            $table->string('CategoryCode', 50)->nullable();
            $table->string('Category', 50)->nullable();
            $table->string('DAFromPoint', 10)->nullable();
            $table->integer('MaxWDays')->default(0);
            $table->string('Monthly', 10)->nullable();
            $table->string('PFOn', 10)->nullable();
            $table->string('PensionFOn', 10)->nullable();
            $table->string('ESIOn', 10)->nullable();
            $table->integer('company_id')->default(0);
            $table->timestamps();



           
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('prl_categories');
    }
};
